<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"template/start.php";
require_once"template/regglobals.php";
require_once"template/config.php";
require_once"template/functions.php";
require_once"template/antidos.php";
require_once"template/cookies.php";
require_once"template/gzip.php";
require_once"template/header.php";
require_once"template/referer.php";
include_once"themes/$config_themes/index.php";
include_once"template/isset.php";

if(!file_exists("local/profil/$config_nikname.prof")){
//------------------------------- ШАГ ПЕРВЫЙ ------------------------------------//
if(!isset($act)){
echo'<img src="images/img/partners.gif" alt=""> <b>ШАГ ПЕРВЫЙ - ПРИНЯТИЕ СОГЛАШЕНИЯ</b><br><br>';

echo '<big><b>Пользовательское соглашение</b></big><br>';



//-----------------------------------------------------------------------------//
$agreement = 'Пользовательское соглашение на использование скриптов, распространяемых cайтом KENTO.RU 

Действие данного пользовательского соглашения распространяется на все скрипты или иные разработки сайта KENTO.RU
Все скрипты относящиеся к бесплатным версиям могу распространяться только на условиях данного пользовательского соглашения.

Настоящее пользовательское соглашение адресовано Вам и заключается с Вами.

Данное пользовательское соглашение распространяется только на изготовление копий, распространение и модификацию
исключительно бесплатных версий скриптов Скрипта. Иные виды
действий над скриптом выходят за рамки данного пользовательского соглашения

1. Разрешается делать копии и распространять точные копии исходных кодов
скрипта в том виде, в каком Вы их получили, на любом носителе
при условии, что каждую копию Вы снабжаете упоминаниями об авторском праве
и отказом от гарантий; сохраняете без изменений все, относящееся к данному
пользовательскому соглашению и отсутствию каких-либо гарантий, и передаете всем
сторонним получателям Скрипта копию данного пользовательского
соглашения вместе со скрипт. 

2. В свою копию Скрипта и в любую его часть Вы можете
вносить изменения, создавая, таким образом, разработку на основе
Скрипта, и делать копии и распространять эти модификации
или разработки на условиях, перечисленных выше, в разделе 1, в том случае,
если будут соблюдены также следующие условия:

2.1 вы обязаны в точности указать, какие файлы были изменены, что именно
было изменено, и проставить дату внесения изменений.

2.2 любые распространяемые или публикуемые вами разработки, которые
включают в себя целиком Скрипт или какие-либо его части,
сделанные на основе Скрипта или каких-либо его частей,
Вы должны в обязательном порядке согласовывать с нами на условиях данного
пользовательского соглашения. 

3. Вы не обязаны принимать условия данного пользовательского соглашения,
поскольку вы не подписывали его. Однако ничто иное не дает вам позволения
изменять или распространять Скрипт или созданные на его
основе разработки. В этом случае подобные действия запрещены действующим
законодательством, если вы не приняли условия данного соглашения.';
//-----------------------------------------------------------------------------//


if($config_themes!="wml"){

echo '<form action="INSTALL.php?act=check&amp;'.SID.'" method="post">';
echo '<textarea cols="100" rows="20" name="msg">'.$agreement.'</textarea><br><br>';

echo '<input name="agree" type="checkbox" value="y" /> <b>Я ГОТОВ ПРИСТУПИТЬ К УСТАНОВКЕ MOTOR FINAL 7</b><br><br>';
echo '<input type="submit" value="Продолжить"></form><hr>';

}else{

echo no_br($agreement,"<br>").'<br><br>';

echo '<br><b><img src="'.BASEDIR.'images/img/back.gif" alt=""> <a href="INSTALL.php?act=check&amp;agree=y&amp;'.SID.'">Я ГОТОВ ПРИСТУПИТЬ К УСТАНОВКЕ MOTOR FINAL 7</a></b><br>';
}


}

//------------------------------- ШАГ ВТОРОЙ ------------------------------------//
if($act=="check"){

if(isset($_POST['agree'])){$agree=$_POST['agree'];} else {$agree=$_GET['agree'];}

if($agree=="y"){
echo'<img src="images/img/partners.gif" alt=""> <b>ШАГ ВТОРОЙ - ПРОВЕРКА СИСТЕМЫ</b><br><br>';
echo'<div class=b><img src="images/img/forums.gif" alt=""> Проверка системы</div><br><br>';

if(substr(dirname($php_self),1)!=""){echo '<img src="images/img/custom.gif" alt=""> <font color="#FF0000"><b>Внимание!</b><br>Вы пытаетесь установить движок в директорию <b>'.substr(dirname($php_self),1).'</b>, она не является корневой директорией, в этом случае корректная работа движка не гарантируется.<br>Правильным выходом из этой ситуации будет создание поддомена <b>'.substr(dirname($php_self),1).'.'.$config_servername.'</b> и установка движка в него</font><br><br>';}


$dir = opendir (BASEDIR."local"); 
while ($file = readdir ($dir)) 
{
if ($file!='.' && $file!='..' && $file!='license.key' && $file!='.htaccess'){
if(is_dir(BASEDIR."local/".$file)){$dires[]=$file;}else{$files[]=$file;}
}}
closedir ($dir); 

echo'<b>Готовность файлов</b><br><br>';

if(file(BASEDIR."local/.htaccess")){
echo 'Файл .htaccess задействован<br>';
if(is_writeable(BASEDIR."local/.htaccess")){echo'<font color="#FF0000">Внимание! На файл .htaccess не рекомедуется ставить права разрешающие запись<br>Установите обычные права (CHMOD) не позволяющие менять содержимое файла (обычно 644)</font><br>';}

}else{echo '<font color="#FF0000">Внимание!!! Файл .htaccess отсутствует, в данном случае безопасность не гарантируется<br>Если ваш сервер не поддерживает htaccess, рекомендуем сменить сервер, т.к. из-за отсутствия этого файла становятся доступные для злоумышленников системные, конфигурационные файлы, профили и письма пользователей<br></font>';}


$count=count($files);  
for($i=0;$i<$count;$i++){
echo 'Разрешенa запись в local/'.$files[$i].' - '; 
if(is_writeable('local/'.$files[$i])){ echo '<font color="#00FF00">Да</font>'; }else{ echo '<font color="#FF0000">Нет</font>'; }
echo ' ('.permissions('local/'.$files[$i]).')<br>';
} 

 
echo'<br><hr><b>Готовность директорий</b><br><br>';


$count=count($dires);  
for($i=0;$i<$count;$i++){
echo 'Разрешенa запись в директорию local/'.$dires[$i].' - '; 
if(is_writeable('local/'.$dires[$i])){ echo '<font color="#00FF00">Да</font>'; }else{ echo '<font color="#FF0000">Нет</font>'; }
echo ' ('.permissions('local/'.$dires[$i]).')<br>';
} 



if(is_writeable('local/profil') && is_writeable('local/config.dat')){
if(file_exists('local/profil') && file_exists('local/config.dat')){
echo '<br><br>Самые важные файлы готовы к работе<br>Вы можете приступить к установке портала<br><br>'; 

echo '<b><a href="INSTALL.php?act=upd&amp;'.SID.'">ПРИСТУПИТЬ К УСТАНОВКЕ</a></b>';
}else{
echo '<br><br><font color="#FF0000">Отсутствуют необходимые для работы файлы (Папка <b>local/profil</b> и файл <b>local/config.dat</b>)<br>Проверьте все ли файлы вы извлекли из архива с движком</font>';
}
}else{
echo '<br><br><font color="#FF0000">Самые важные файлы НЕ готовы к работе<br>Вы НЕ можете приступить к установке портала<br>Вам необходимо выставить правильные атрибуты CHMOD, подробнее читайте в help/README.html</font>';
}
echo '<br><br>Если какой-то пункт выделен красным, необходимо зайти по фтп и выставить CHMOD разрешающую запись<br>';

}else{

echo'<img src="images/img/partners.gif" alt=""> <b>ОТКАЗ ПРИНЯТИЯ УСЛОВИЙ СОГЛАШЕНИЯ</b><br><br>';
echo 'Вы не можете продолжить установку движка так как отказываетесь принимать условия соглашения<br>';
echo 'Любое использование нашего движка означает ваше согласие с нашим соглашением<br>';

}

echo '<br><img src="'.BASEDIR.'images/img/back.gif" alt=""> <a href="INSTALL.php?'.SID.'">Вернуться</a>';
}


//------------------------------- ШАГ ТРЕТИЙ ------------------------------------//
if($act=="upd"){
echo '<img src="images/img/partners.gif" alt=""> <b>ШАГ ТРЕТИЙ - ИНСТАЛЛЯЦИЯ</b><br><br>';
echo 'Прежде чем перейти к администрированию вашего сайта, необходимо пройти процесс инсталляции.<br>';
echo 'Эта процедура сама создаст аккаунт администратора и пропишет ваши данные.<br>';
echo 'Перед тем как нажимать кнопку Пуск, убедитесь, что на всех файлах и папках в директории local стоят права доступа, разрешающие в нее запись 777 (770) для папок и 666 (660) для файлов, иначе процесс не сможет быть завершен удачно.<br>';
echo 'После окончания инсталляции необходимо удалить файл INSTALL.php навсегда, пароль и остальные данные вы сможете поменять в своем профиле<br><br><hr>';
echo 'Внимание, только знаки латинского алфавита, цифры и знак тире<br>';	

if($config_themes!="wml"){
echo '<form method="post" action="INSTALL.php?act=install&amp;'.SID.'">';
echo 'Логин (max20) *<br>';
echo '<input name="name" maxlength="20" /><br>';
echo 'Пароль(max20) *<br>';
echo '<input name="password" type="password" maxlength="20" /><br>';
echo 'Повторите пароль *<br>';
echo '<input name="password2" type="password" maxlength="20" /><br>';
echo 'Ваш e-mail *<br>';
echo '<input name="oemails" maxlength="100" /><br>';
echo 'Адрес сайта *<br>';
echo '<input name="osite" value="http://'.$config_servername.'" maxlength="100" /><br>';
echo '<input value="Пуск" type="submit" /></form><hr>';

}else{
	
echo 'Логин (max20) *<br>';
echo '<input name="name"/><br>';
echo 'Пароль(max20) *<br>';
echo '<input name="password" type="password"/><br>';
echo 'Повторите пароль *<br>';
echo '<input name="password2" type="password"/><br>';
echo 'Ваш e-mail *<br>';
echo'<input name="oemails" maxlength="100"/><br>';
echo 'Адрес сайта *<br>';
echo'<input name="osite" value="http://'.$config_servername.'" maxlength="100"/><br>';

echo'<anchor>Пуск';
echo'<go href="INSTALL.php?act=install&amp;'.SID.'" method="post">';
echo'<postfield name="name" value="$(name)"/>';
echo'<postfield name="password" value="$(password)"/>';
echo'<postfield name="password2" value="$(password2)"/>';
echo'<postfield name="oemails" value="$(oemails)"/>';
echo'<postfield name="osite" value="$(osite)"/>';
echo'</go></anchor><br>--------------------<br>';
}
echo 'Все поля обязательны для заполнения<br>E-mail будет нужен для восстановления пароля, пишите только свои данные<br>Не нажимайте кнопку дважды, подождите до тех пор, пока процесс не завершится<br>';
echo 'В поле ввода адреса сайта необходимо ввести адрес в который у вас распакован движок, если это поддомен или папка, то необходимо указать ее, к примеру http://WAP.KENTO.RU<br>';
echo 'Пароль необходимо выбирать посложнее, лучше всего состоящий из цифр, маленьких и больших латинских символов одновременно, длинее 5 символов<br>';

echo '<br><img src="'.BASEDIR.'images/img/back.gif" alt=""> <a href="INSTALL.php?act=check&amp;'.SID.'">Вернуться</a>';
}

//------------------------------- ШАГ ЧЕТВЕРТЫЙ ------------------------------------//
if($act=="install"){
echo'<img src="images/img/partners.gif" alt=""> <b>ШАГ ЧЕТВЕРТЫЙ - РЕЗУЛЬТАТ УСТАНОВКИ</b><br><br>';

$str1=strlen($name);
$str2=strlen($password);

if ($name!="" && $password!="" && $oemails!="" && $osite!=""){
if ($str1<21 && $str1>2 && $str2<21 && $str2>2){	
if (!eregi("[^a-z0-9-]",$name) && !eregi("[^a-z0-9-]",$password)){ 
if ($password==$password2){	
if (preg_match('#^([a-z0-9_\-\.])+\@([a-z0-9_\-\.])+(\.([a-z0-9])+)+$#',$oemails)){
if (preg_match('#^http://([a-z0-9_\-\.])+(\.([a-z0-9\/])+)+$#',$osite)){

$osite_name = strtoupper(str_replace("http://","",$osite));

$fp=fopen("local/profil/$name.prof","w");  
flock($fp,LOCK_EX);     

$passwords = md5($password);
$text=$name.':||:'.$passwords.':||:'.$rezerv2.':||:Администратор  сайта:||:'.$oemails.':||:'.$rezerv5.':||:'.$sitetime.':||:101:||:0:||:0:||:1:||:0:||:0:||:'.$brow.':||:'.$ip.':||:N:||:'.$rezerv16.':||:'.$rezerv17.':||:'.$rezerv18.':||:'.$rezerv19.':||:'.$config_themes.':||:'.$config_bookpost.':||:'.$config_postnews.':||:'.$config_forumpost.':||:'.$config_forumtem.':||:'.$config_userlist.':||:'.$config_chatpost.':||:'.$config_chatrew.':||:'.$config_boardspost.':||:'.$config_showdays.':||:'.$config_timeclocks.':||:'.$config_showtime.':||:'.$config_privatpost.':||:0:||:'.$rezerv34.':||:'.$rezerv35.':||:500:||:0:||:0:||::||:Администратор  сайта:||:100000:||:1:||:images/avators/noavatar.gif:||:'.$sitetime.':||:1:||:'.$rezerv46.':||:'.$rezerv47.':||:'.$rezerv48.':||:'.$rezerv49.':||:'.$rezerv50.':||:'.$rezerv51.':||:'.$rezerv52.':||:'.$rezerv53.':||:'.$rezerv54.':||:0:||:'.$rezerv56.':||:'.$rezerv57.':||:'.$rezerv58.':||:'.$rezerv59.':||:'.$rezerv60.':||:'.$rezerv61.':||:'.$rezerv62.':||:'.$rezerv63.':||:'.$rezerv64.':||:'.$rezerv65.':||:1:||:'.$rezerv67.':||:'.$rezerv68.':||:'.$rezerv69.':||:'.$rezerv70.':||:'.$rezerv71.':||:'.$rezerv72.':||:'.$rezerv73.':||:'.$rezerv74.':||:'.$rezerv75.':||:'.$rezerv76.':||:'.$rezerv77.':||:'.$rezerv78.':||:'.$rezerv79.':||:'.$rezerv80.':||:'.$rezerv81.':||:'.$rezerv82.':||:'.$rezerv83.':||:'.$rezerv84.':||:'.$rezerv85.':||:'.$rezerv86.':||:'.$rezerv87.':||:'.$rezerv88.':||:'.$rezerv89.':||:'.$rezerv90.':||:'.$rezerv91.':||:'.$rezerv92.':||:'.$rezerv93.':||:'.$rezerv94.':||:'.$rezerv95.':||:'.$rezerv96.':||:'.$rezerv97.':||:'.$rezerv98.':||:'.$rezerv99.':||:'.$rezerv100.':||:';   
              
fputs($fp,$text);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);  
chmod($fp, 0666); 
chmod("local/profil/$name.prof", 0666); 


/////////////////////////////////////////////////////////


$fp=fopen("local/privat/$name.$config_priv","w");  
flock($fp,LOCK_EX);         

$mess='Привет '.$name.'! Спасибо за установку MOTOR FINAL 7, новые версии, моды, плагины, а также множество других дополнений вы найдете на нашем сайте http://KENTO.RU . Не забудьте удалить файл INSTALL.php сделать это можно прямо из админ-панели';
$mess=base64_encode($mess);
$pozdr='Den|'.$mess.'|'.$sitetime.'||';      
                                   
fputs($fp,"$pozdr\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);  
chmod ($fp, 0666);
chmod ("local/privat/$name.$config_priv", 0666);


$ufile = file_get_contents(BASEDIR."local/config.dat"); 
$udata = explode("|",$ufile);

$udata[1] = generate_password();
$udata[8] = $name;
$udata[9] = $oemails;
$udata[11] = $osite_name;
$udata[13] = "&#169; $osite_name";
$udata[14] = $osite;
$udata[15] = "$osite/images/img/wap-motor.gif";

for ($u=0; $u<$config_configkeys; $u++){
$utext.=$udata[$u].'|';}

if(!empty($udata[8]) && !empty($udata[9])){
$fp=fopen(BASEDIR."local/config.dat","a+");    
flock($fp,LOCK_EX);           
ftruncate($fp,0);                                                                
fputs($fp,$utext);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);  
unset($utext); 
}

$conf_news='Супер новость.Мы установили новый движок для сайта MOTOR FINAL 7. Скачать этот движок вы можете с сайта http://KENTO.RU||'.$sitetime.'|'.$name.'|1|';
$fp=fopen("local/news.dat","a+");
flock ($fp,LOCK_EX);
ftruncate ($fp,0);
fputs($fp,"$conf_news\r\n");
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);

echo 'ПОЗДРАВЛЯЕМ, ваш пароль и логин созданы,теперь вы можете войти под своим аккаунтом на сайт, если все прошло удачно на главной страничке вы должны увидеть ссылку АДМИНКА, она будет показываться только вам, также НЕОБХОДИМО удалить файл INSTALL.php<br><br><br>УДАЛИТЕ INSTALL.php НЕ СТОИТ ДЕРЖАТЬ ЕГО НА САЙТЕ<br><br>';

echo'<img src="images/img/reload.gif" alt=""> <b><a href="input.php?login='.$name.'&amp;pass='.$password.'&amp;cookietrue=1&amp;'.SID.'">Войти на сайт</a></b>';

} else {echo '<b>Неверный адрес сайта! (Необходимо http://sitename.domen)</b><br>';}
} else {echo '<b>Неверный формат e-mail! (Необходимо name@name.name)</b><br>';}
} else {echo '<b>Пароли не совпадают! (Необходимо одинаковые пароли из двух полей ввода)</b><br>';}
} else {echo '<b>В логине и пароле разрешены только знаки латинского алфавита и знак тире!</b><br>';}
} else {echo '<b>Слишком длинный (короткий) пароль или логин! (Необходимо от 3 до 20 символов)</b><br>';}
} else {echo '<b>Отсутствуют важные данные!</b><br>';}

echo '<br><img src="'.BASEDIR.'images/img/back.gif" alt=""> <a href="INSTALL.php?act=upd&amp;'.SID.'">Вернуться</a>';
} 

//------------------------------- Удаление автоустановщика ------------------------------------//
if($act=="installer"){

unlink("INSTALLER.php");
unlink("last_version.txt");

$dir = opendir ("."); 
while ($file = readdir ($dir)) {
	
if (ereg("^motor", $file) && ereg("zip$", $file)) { 
unlink($file);
}} 
closedir ($dir); 

header ("Location: INSTALL.php");
}


}else{
echo '<br><img src="images/img/antihacking.gif" alt=""> <b><font color="#FF0000">Ошибка инсталляции!</font></b><br>';
echo 'Вы не сможете установить портал. Профиль администратора уже создан.<br>';
echo 'Если вы хотите сбросить пароль, то вам необходимо вручную удалить файл local/profil/логин_админа.prof<br>';}

echo '<br><img src="'.BASEDIR.'images/img/homepage.gif" alt=""> <a href="'.BASEDIR.'index.php?'.SID.'">На главную</a><br>';
include_once"themes/$config_themes/foot.php";
 ?>
